<?php
session_start();
require("conexion.php");
if(isset($_SESSION['nom_admin'])==false){
    header('Location: index.php');
}else{
    $nom = $_SESSION['nom_admin'];
    $iduser = $_SESSION['id_user'];
    $suc = $_SESSION['IdSuc'];
    $tipou= $_SESSION['tipouser'];
    $priv = $_SESSION['Priv'];
    $tipou= $_SESSION['tipouser'];
if($suc == 1){
    $pre = 'CUL-';
    $not = 'NV';
    $sucn = 'SUCURSAL CULIACAN';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $not = 'NV';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $not = 'NV';
    $sucn = 'SUCURSAL HERMOSILLO';
}
}
date_default_timezone_set("America/Mazatlan");

$horaactual = date("h:i:sa");
?>
<html>
    <head>
        
        <title>Checador</title>
        <link type="text/css" rel="stylesheet" href="./css/bootstrap.min.css"  media="screen,projection"/>
        <link rel="stylesheet" type="text/css" href="./css/prueba.css">

       

    </head>
    <body >
<?php 

include('menu.php');
$horaactual = date("h:i:sa");
$fechahora = date("Y-m-d H:i:s");
$fechaactual = date("Y-m-d"); 
$sql = "SELECT * FROM Checador where IdUsuario ='".$iduser."' and Fecha = '".$fechaactual."' ORDER BY IdChecador DESC LIMIT 1";
$v = mysqli_query($conexion,$sql);
if($nr = mysqli_num_rows($v)> 0){
    $f = mysqli_fetch_array($v);
    $tipoentrada = $f['TipoEntrada'];
    if($tipoentrada == 1){
        $estado = '2 - SALIDA A COMER';
    }else if($tipoentrada == 2){
        $estado = '3 - REGRESO DE COMER';
    }else if($tipoentrada == 3){
        $estado = '4 - SALIDA';
    }else if($tipoentrada == 4){
        $estado = 'QUE TE VAYA BIEN!';
    }
}else{
    $estado = "INGRESO";
}

?>

<br>
    <br>
    <br>
    <br>
    <h1> <?= 'PRUEBA '.$tipou.'!!'.$priv.'?';?></h1>
    <h1 align="center">CHECADOR</h1>
<section id="escritorio">
    <div class="contenedorc">
        <div class="infochecador">
            <div class="info1">Bienvenido: <?= $nom; ?></div>
            <div class="horaactual"><?= $horaactual; ?></div>
        </div>
        <div class="acciones"><button class="success" onclick="checar(<?= $iduser.','.$tipoentrada; ?>)" <?php if($tipoentrada == 4)echo 'disabled'; ?>><?php echo $estado; ?></button></div>
    </div>
    <div><input type="hidden" name="usuariochecador" id="usuariochecador" value="<?= $iduser; ?>"></div>
</section>
<div id="movil">
    Este no es un dispositivo compatible, inicia sesion en sucursal Cuadropolis.
</div>
<?php ?>
    </body>
    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
        <script type="text/javascript">
    function checar(id,tipoe) {
        if(confirm('¿Deseas confirmar la entrada / salida?')){
        
                $.ajax({
                    type:'POST',
                    url:'./checadorguardar.php',
                    data:'dato='+id+'&tipoe='+tipoe,
                    success: function(datos){
                        alert('Registro capturado correctamente');
                        location.reload();
                    },error: function (jqXHR, exception) {
							        var msg = '';
							        if (jqXHR.status === 0) {
							            msg = 'Not connect.\n Verify Network.';
							        } else if (jqXHR.status == 404) {
							            msg = 'Requested page not found. [404]';
							        } else if (jqXHR.status == 500) {
							            msg = 'Internal Server Error [500].';
							        } else if (exception === 'parsererror') {
							            msg = 'Requested JSON parse failed.';
							        } else if (exception === 'timeout') {
							            msg = 'Time out error.';
							        } else if (exception === 'abort') {
							            msg = 'Ajax request aborted.';
							        } else {
							            msg = 'Uncaught Error.\n' + jqXHR.responseText;
							        }
							        alert(msg);
							    },
                }); 
            
         }else{
                alert('Checada no aplicada');
        } 

    }

        </script>
</html>


